Class TenantNotFoundException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.a2aproject.sdk.server.multitenancy.TenantNotFoundException
- All Implemented Interfaces:
Serializable
Thrown when a tenant-specific public agent card is requested but no card is registered
for that tenant. Callers should map this to an HTTP 404 response.
- See Also:
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns the response body text for this exception (guaranteed non-null).Methods inherited from class Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
TenantNotFoundException
-
-
Method Details
-
getTenant
-
getResponseMessage
Returns the response body text for this exception (guaranteed non-null).- Returns:
- the response message
-